TOC & Recently Viewed

Recently Viewed Topics

Software Requirements

Nessus Agents and Nessus Manager support Mac, Linux, and Windows operating systems.

Nessus Agents

Operating System

Supported Versions

Linux

Amazon Linux 2015.03, 2015.09, and 2017.09 (64-bit)

Debian 6, 7, 8, and 9 / Kali Linux 1, 2017.3 (32-bit)

Debian 6, 7, 8, and 9 / Kali Linux 1, 2017.3 (64-bit)

Fedora 20, 21, 24, 25, 26, and 27 (64-bit)

Red Hat ES 5 / CentOS 5 / Oracle Linux 5 (including Unbreakable Enterprise Kernel) (32-bit)

Red Hat ES 5 / CentOS 5 / Oracle Linux 5 (including Unbreakable Enterprise Kernel) (64-bit)

Red Hat ES 6 / CentOS 6 / Oracle Linux 6 (including Unbreakable Enterprise Kernel) (32-bit)

Red Hat ES 6 / CentOS 6 / Oracle Linux 6 (including Unbreakable Enterprise Kernel) (64-bit)

Red Hat ES 7 / CentOS 7 / Oracle Linux 7 (including Unbreakable Enterprise Kernel) (64-bit)

SUSE 11 Enterprise (32-bit)

SUSE 11 and 12 Enterprise (64-bit)

Ubuntu 9.10, 10.04, 11.04, 11.10, 12.04, 12.10, 13.04, 13.10, 14.04, 16.04, and 17.10 (32-bit)

Ubuntu 9.10, 10.04, 11.04, 11.10, 12.04, 12.10, 13.04, 13.10, 14.04, 16.04, and 17.10 (64-bit)

Windows

Windows Server 2008, 7, 8, and 10 (32-bit)

Windows Server 2008, Server 2008 R2, Server 2012, Server 2012 R2, Server 2016, 7, 8, and 10 (64-bit)

Mac OS X

Mac OS X 10.8 - 10.13

Nessus Manager

Operating System

Supported Versions

Linux

Debian 7, 8, and 9 / Kali Linux 1, 2017.1, and Rolling (32-bit)

Debian 7, 8, and 9 / Kali Linux 1, 2017.1, and Rolling (64-bit)

Red Hat ES 6 / CentOS 6 / Oracle Linux 6 (including Unbreakable Enterprise Kernel) (32-bit)

Red Hat ES 6 / CentOS 6 / Oracle Linux 6 (including Unbreakable Enterprise Kernel) (64-bit)

Red Hat ES 7 / CentOS 7 / Oracle Linux 7 (including Unbreakable Enterprise Kernel) (64-bit)

FreeBSD 10 and 11 (64-bit)

Fedora 24 and 25 (64-bit)

SUSE 11 and 12 Enterprise (32-bit)

SUSE 11 and 12 Enterprise (64-bit)

Ubuntu 12.04, 12.10, 13.04, 13.10, 14.04, and 16.04 (32-bit)

Ubuntu 12.04, 12.10, 13.04, 13.10, 14.04, and 16.04 (64-bit)

Windows

Windows 7, 8, and 10 (32-bit)

Windows Server 2008, Server 2008 R2, Server 2012, Server 2012 R2, Server 2016, 7, 8, and 10 (64-bit)

Tip: Windows Server 2008 R2’s bundled version of Microsoft IE does not interface with a Java installation properly. This causes Nessus to not perform as expected in some situations: Microsoft’s policy recommends not using MSIE on server operating systems.

For increased performance and scan reliability when installing on a Windows platform, Tenable highly recommends that Nessus be installed on a server product from the Microsoft Windows family such as Windows Server 2008 R2.

Mac OS X

Browsers

Nessus supports the following browsers:

  • Google Chrome (50+)
  • Apple Safari (10+)
  • Mozilla Firefox (50+)
  • Internet Explorer (11+)

Note: For Nessus 7.0 and later, you must enable Transport Layer Security (TLS) 1.2 in your browser.

PDF Reports

The Nessus .pdf report generation feature requires the latest version of Oracle Java or OpenJDK.

Install Oracle Java or OpenJDK prior to installing Nessus.

Note: If you install Oracle Java or OpenJDK after you install Nessus, you must reinstall Nessus to enable PDF report generation.

 

Copyright 2017 - 2018 Tenable, Inc. All rights reserved. Tenable Network Security, Nessus, SecurityCenter, SecurityCenter Continuous View and Log Correlation Engine are registered trademarks of Tenable, Inc. Tenable, Tenable.io, Assure, and The Cyber Exposure Company are trademarks of Tenable, Inc. All other products or services are trademarks of their respective owners.